import { ModelConfig, SummarizationModel, SummarizationOptions } from '../types/models.js';
import { ClientOptions } from '@anthropic-ai/sdk';
export declare class AnthropicModel implements SummarizationModel {
    private config;
    private baseUrl;
    private anthropic;
    clientOptions: ClientOptions;
    constructor(clientOptions?: ClientOptions);
    initialize(config: ModelConfig): Promise<void>;
    summarize(content: string, type: string, options?: SummarizationOptions): Promise<string>;
    cleanup(): Promise<void>;
}
export declare function createAnthropicModel(options?: ClientOptions): SummarizationModel;
