import { ModelConfig, SummarizationModel, SummarizationOptions } from '../types/models.js';
export declare class OpenAICompatible implements SummarizationModel {
    protected config: ModelConfig | null;
    protected baseUrl: string;
    initialize(config: ModelConfig): Promise<void>;
    summarize(content: string, type: string, options?: SummarizationOptions): Promise<string>;
    cleanup(): Promise<void>;
}
